decodeHeaderNortek {oce} | R Documentation

## Decode a Nortek Header

### Description

Decode data in a Nortek ADV or ADP header.

### Usage

    decodeHeaderNortek(buf, type = c("aquadoppHR", "aquadoppProfiler", "aquadopp",
      "vector"), debug = getOption("oceDebug"), ...)

### Arguments

`buf` | a “raw” buffer containing the header
`type` | type of device
`debug` | a flag that turns on debugging. Set to 1 to get a moderate amount of debugging information, or to 2 to get more.
`...` | additional arguments, passed to called routines.

### Details

Decodes the header in a binary-format Nortek ADV/ADP file. This function is designed to be used by `read.adp` and `read.adv`, but can be used directly as well. The code is based on information in the Nortek System Integrator Guide (2008) and on postings on the Nortek “knowledge center” discussion board. One might assume that the latter is less authorative than the former. For example, the inference of cell size follows advice found at http://www.nortekusa.com/en/knowledge-center/forum/hr-profilers/736804717 (downloaded June 2012)), which contains a typo in an early posting that is corrected later on.

### Value

A list containing elements `hardware`, `head`, `user` and `offset`. The easiest way to find the contents of these is to run this function with `debug=3`.

### Author(s)

Dan Kelley and Clark Richards

### References

1. Information on Nortek profilers (including the System Integrator Guide, which explains the data format byte-by-byte) is available at http://www.nortekusa.com/. (One must join the site to see the manuals.)

2. The Nortek Knowledge Center http://www.nortekusa.com/en/knowledge-center may be of help if problems arise in dealing with data from Nortek instruments.

### See Also

Most users should employ the functions `read.adp` and `read.adv` instead of this one.

[Package oce version 0.9-22 Index]